Subject: Re: Early SPECWeb99 results on 2.5.33 with TSO on e1000

From: Nivedita Singhvi <[email-masked]>
Date: Fri, 13 Sep 2002 15:12:20 -0700

Quoting [email-masked]:

> dave, all,
> 
> not sure i understand what you're proposing, but while we're at it,
> why not also make the api for apps to allocate a buffer in userland
> that (for nics that support it) the nic can dma directly into?  it

I believe thats exactly what David was referring to - reverse
direction sendfile() so to speak.. 

> seems likely notification that the buffer was used would have to
> travel through the kernel, but it would be nice to save the
> interrupts altogether. 

However, I dont think what youre saving are interrupts as 
much as the extra copy, but I could be wrong..

thanks,
Nivedita